読者です 読者をやめる 読者になる 読者になる

LeopardにMysql/Rubyをインストールする

Ruby Rails

なんだか

WARNING: You're using the Ruby-based MySQL library that ships with Rails.
 This library is not suited for production. Please install the C-based MySQL
 library instead (gem install mysql).

こんなWARNINGが出るので

sudo gem install mysql

なんてやっても失敗する。
試行錯誤した結果、

sudo gem install mysql -- --with-mysql-lib=/opt/local/lib/mysql5/ \
 --with-mysql-include=/opt/local/include/mysql5/mysql \
 --with-mysql-config=/opt/local/lib/mysql5/bin/mysql_config

これでうまくいきました。